// I should look into the STL hash table stuff. It is likely I don't need to use my own class here.
#pragma once

#include <list>

class HashTable
{
private:
   unsigned int size;
   class HashEntry // Inner class.
   {
   public:
      unsigned int key1, key2, value;

      HashEntry(const unsigned int& key1, const unsigned int& key2, const unsigned int& value) : key1(key1), key2(key2), value(value) { };
   };
   std::list<HashEntry> *data;

   unsigned int hash(const unsigned int& key1, const unsigned int& key2);

public:
   HashTable(const unsigned int& size);
   ~HashTable(void);
   void add(const unsigned int& key1, const unsigned int& key2, const unsigned int& value);
   bool look_up(const unsigned int& key1, const unsigned int& key2, unsigned int& value);
};